graph.tasks

## Class DijkstraShortestPath.HeapElement

- java.lang.Object
- - list.listinterface.Element
  - - searchable.searchableinterface.SearchableElement
    - - heap.heapinterface.JustifiableHeapElement
      - - graph.tasks.DijkstraShortestPath.HeapElement

- Enclosing class:
    DijkstraShortestPath

      class DijkstraShortestPath.HeapElement
      extends JustifiableHeapElement

  typ prvku prioritní fronty, obaluje vrchol grafu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private GraphLatch` | `l`
    `private GraphTasksVertex` | `v`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeapElement(Graph aGraph, GraphLatch aLatch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) GraphLatch` | `getLatch()`
    `java.lang.String` | `getReadable()` Vrátí čitelný obsah prvku.
    `boolean` | `isMatching(SearchableElement k)` Zjistí, zda v se shoduje s k.
    `boolean` | `isPreceding(SearchableElement k)` Zjistí, zda this předchází k.
    `boolean` | `isSucceeding(SearchableElement k)` Zjistí, zda this následuje za k.
    `java.lang.Object` | `loadHandle()` Vrátí svůj identifikační objekt (handle).
    `SearchableElement` | `makeSentinel()` Vyrobí zarážku.
    `void` | `saveHandle(java.lang.Object handle)` Nastaví svoje svoje identifikační číslo (handle).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### v

          private GraphTasksVertex v

    - #### l

          private GraphLatch l

  - ### Constructor Detail

    - #### HeapElement

          HeapElement(Graph aGraph,
                      GraphLatch aLatch)

  - ### Method Detail

    - #### getLatch

          GraphLatch getLatch()

    - #### makeSentinel

          public SearchableElement makeSentinel()

      Description copied from class: `SearchableElement`
      Vyrobí zarážku.
      Specified by:
        `makeSentinel` in class `SearchableElement`
      Returns:
        objekt, který se dá použít jako zarážka při hledání

    - #### isPreceding

          public boolean isPreceding(SearchableElement k)

      Description copied from class: `SearchableElement`
      Zjistí, zda this předchází k.
      Specified by:
        `isPreceding` in class `SearchableElement`
      Parameters:
        `k` - prvek, který má být porovnán s this
      Returns:
        true když předchází, jinak false

    - #### isSucceeding

          public boolean isSucceeding(SearchableElement k)

      Description copied from class: `SearchableElement`
      Zjistí, zda this následuje za k.
      Specified by:
        `isSucceeding` in class `SearchableElement`
      Parameters:
        `k` - prvek, který má být porovnán s this
      Returns:
        true když následuje, jinak false

    - #### isMatching

          public boolean isMatching(SearchableElement k)

      Description copied from class: `SearchableElement`
      Zjistí, zda v se shoduje s k.
      Specified by:
        `isMatching` in class `SearchableElement`
      Parameters:
        `k` - prvek, který má být porovnán s this
      Returns:
        true když se shoduje, jinak false

    - #### getReadable

          public java.lang.String getReadable()

      Description copied from class: `SearchableElement`
      Vrátí čitelný obsah prvku.
      Specified by:
        `getReadable` in class `SearchableElement`
      Returns:
        čitelný obsah prvku

    - #### loadHandle

          public java.lang.Object loadHandle()

      Description copied from class: `JustifiableHeapElement`
      Vrátí svůj identifikační objekt (handle). Ten se před tím nastavil z haldy metodou saveHandle. Jako handle se používá např. číslo, index nebo odkaz na objekt.
      Specified by:
        `loadHandle` in class `JustifiableHeapElement`
      Returns:
        vlastní handle

    - #### saveHandle

          public void saveHandle(java.lang.Object handle)

      Description copied from class: `JustifiableHeapElement`
      Nastaví svoje svoje identifikační číslo (handle). Halda touto metodou nastavuje handles prvkům uloženým ve svých uzlech typu JustifiableHeapElement. Jako handle se používá např. číslo, index nebo odkaz na objekt.
      Specified by:
        `saveHandle` in class `JustifiableHeapElement`
      Parameters:
        `handle` - identifikační objekt, který se má nastavit prvku